#!/usr/bin/perl

use File::Basename;

if ( @ARGV != 1 ) {
  print STDERR "Usage: createfilelist.pl <metadir>\n";
  exit 1;
}

$metadir = $ARGV[ 0 ];

open( IN, "cd share; find meta|") || die "Can't execute find command.";

while( <IN> ) {
#  print;
  chop;
  $path = $_;
  $filename = basename( $path );
  
  if ( $filename =~ /\.(.?.?)\.desktop/ ) {
    push @{ $filelist{ $1 } }, $path;
  } elsif ( $filename =~ /\.desktop$/ || $filename eq ".directory" ) {
    push @filelist, $path;
  } else {
    if ( -d "share/$path" ) {
      push @dirlist, $path;
    } else {
    }
  }
}

close IN;

foreach $lang ( keys %filelist ) {
  open OUT, ">metafilelist.$lang" || die "Can't open metafilelist for writing.";
  foreach $file ( @{ $filelist{ $lang } } ) {
    print OUT "$metadir/$file\n"
  }
  close OUT;
}

open OUT, ">metafilelist" || die "Can't open metafilelist for writing.";

foreach $file ( @filelist ) {
  print OUT "$metadir/$file\n";
}
foreach $dir ( @dirlist ) {
  print OUT "%dir $metadir/$dir\n";
}

close OUT;
