#!/usr/bin/perl

$metadir = "share/meta";
$backupdir = "meta";

@t = localtime( time() );

$currentDateTime = sprintf( "%04d%02d%02d-%02d%02d%02d", $t[5] + 1900,
                            $t[4] + 1, $t[3], $t[2], $t[1], $t[0] );

system( "cp -r $metadir $backupdir.$currentDateTime" );

&scanDir( $metadir );

exit 0;

sub scanDir($)
{
  my $dir = shift;

  if ( !opendir(DIR, "$dir") ) {
    print STDERR "Can't opendir $dir\n";
    exit 1;
  } else {
    my @entries = readdir(DIR);
    foreach $entry (@entries) {
      if ( $entry eq "." || $entry eq ".." ) { next; }
      my $path = "$dir/$entry";
      if ( -d $path ) {
        print "DIR: $entry\n";
        scanDir( $path );
      } else {
        if ( $entry !~ /\.desktop$/ && $entry ne ".directory" ) { next; }
        print "ENTRY: $entry\n";
        &fixFile( $path );
      }
    }
  }
  closedir DIR;
}

# Fix file. Please don't remove fixes, but comment them out, if required, in
# order to keep a record.
#
sub fixFile($)
{
  my $filename = shift;
  
  if ( !open ( IN, $filename ) ) {
    print STDERR "Can't open file '$filename'.\n";
  } else {
    my $in = "";
    while( <IN> ) {
      if ( /^hallo/ ) {
#      } elsif ( /^Icon=(.*)\/flag__(.*)\.png/ ) {
#        $in .= "Icon=/usr/share/susehelp/img/flag_$2.png\n";
      } elsif( /^Icon/ ) {
      } else {
        $in .= $_;
      }
    }
    close IN;

    if ( !open( OUT, ">$filename" ) ) {
      print STDERR "Can't open file '$filename' for writing.\n";
    } else {
      print OUT $in;
      close OUT;
    }
  }
}
