#!/usr/bin/perl

use lib "../cgi-bin";

use Getopt::Long;

use susehelp;
use substitution;

GetOptions (
  'file' => \$file,
  'preserve=s' => \$preserve,
  'help' => \$help
);

if ( $help ) {
  print STDERR "Usage: expandesymbols [symbol]+ [--file <filename>] ";
  print STDERR "[--preserve <symbol1>[,symbol2][,...]] ";
  print STDERR "[--help]\n";
  exit 1;
}

my @symbols = @ARGV;

my @preserves = split /,/, $preserve;

readSymbols( "susehelp.symbols" );

foreach $p ( @preserves ) {
#  print STDERR "Preserving symbol '$p'\n";
  registerSymbol( "$p", "--$p:--" );
}

foreach $symbol ( @symbols ) {
#  print STDERR "Expanding symbol '$symbol'\n";

  my $out = substituteSymbols( "--$symbol:--" );
  
  if ( $out =~ /\n/ ) {
    print "$symbol << EOT\n${out}EOT\n"
  } else {
    print "$symbol\n$out\n";
  }
  
  print "\n";
}
