#!/usr/bin/perl

use lib "../cgi-bin";

use susehelp;
use substitution;

@langs = ( "cz", "de", "en", "es", "fr", "hu", "it" );

my $filename = "docserver/index.template";

my $cgiprefix="/susehelp/cgi-bin";

foreach $lang ( @langs ) {
  setLanguage( $lang, "i18n/$lang/susehelp.po" );

  readSymbols( "susehelp.symbols" );
  &registerCgiPrefix( "$cgiprefix/" );
  &registerFilePrefix( "" );
 
  $forwardUrl = "$cgiprefix/showdir.cgi?lang=$lang&depth=1";
  $forwardUrl .= "&cgiprefix=$cgiprefix/&fileprefix=";
  $forwardUrl .= "&header=1";
  
  $metaTag = "<meta http-equiv=\"refresh\" content=\"0; URL=$forwardUrl\">\n";
  
  registerSymbol( "METATAGS", $metaTag );

  $out = substituteSymbolsFromFile( $filename );

  if ( !open OUT, ">docserver/index.html.$lang" ) {
    print STDERR "Can't open file for write.\n";
    exit 1;
  }

  print OUT $out;
  
  close OUT;
}
